%define url_ver	%(echo %{version}|cut -d. -f1,2)
%global __requires_exclude python-gi

Summary:	GNOME screen reader for people with visual impairments
Name:		orca
Version:	3.38.2
Release:	%mkrel 1
License:	LGPLv2+
Group:		Accessibility
URL:		https://wiki.gnome.org/Orca/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	pkgconfig(atspi-2) >= 2.1.92
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.1.14
BuildRequires:	pkgconfig(pygobject-3.0) >= 2.90.3
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-dbus
BuildRequires:	python3-cairo
BuildRequires:	python3-speechd
BuildRequires:	python3-brlapi
BuildRequires:	intltool >= 0.40.0
BuildRequires:	itstool
BuildRequires:	gnome-doc-utils >= 0.17.3
BuildRequires:	typelib(Gtk)
BuildRequires:	python3-gobject3
BuildRequires:	gnome-common
Requires:	python3-gobject3
Requires:	python3-dbus
Requires:	python3-cairo
Requires:	python3-speechd
Requires:	python3-brlapi
Requires:	python3-pyatspi

%description
A flexible, scriptable, extensible screen reader for the GNOME platform
that provides access via speech synthesis and braille.

%prep
%setup -q

%build
%configure --build=%{_build}
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

# python shebang
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_bindir}/%{name}

%files -f %{name}.lang
%doc README NEWS
%{_bindir}/%{name}
%{python3_sitelib}/%{name}/*
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop


%changelog
* Tue Dec 22 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1662890
- new version 3.38.2

* Thu Dec 03 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1652144
- new version 3.38.1

* Fri Sep 11 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1624527
- new version 3.38.0

* Mon Aug 10 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1612816
- new version 3.37.90

* Wed Jun 10 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1591691
- new version 3.37.2

* Mon Jun 01 2020 ovitters <ovitters> 3.36.3-1.mga8
+ Revision: 1589484
- new version 3.36.3

* Thu Apr 23 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1571452
- new version 3.36.2

* Wed Mar 11 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1555615
- new version 3.36.1

* Wed Mar 11 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1555573
- new version 3.36.0

* Wed Mar 04 2020 ovitters <ovitters> 3.35.92-1.mga8
+ Revision: 1553670
- new version 3.35.92

* Thu Feb 20 2020 ovitters <ovitters> 3.35.91-1.mga8
+ Revision: 1547472
- new version 3.35.91

* Thu Feb 20 2020 umeabot <umeabot> 3.34.2-2.mga8
+ Revision: 1545309
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1484624
- new version 3.34.2
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 15 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1460845
- new version 3.34.1

* Tue Sep 24 2019 daviddavid <daviddavid> 3.34.0-2.mga8
+ Revision: 1445295
- rebuild for python3.8

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1438882
- new version 3.34.0

* Tue Aug 27 2019 ovitters <ovitters> 3.33.91-1.mga8
+ Revision: 1434400
- new version 3.33.91

* Sun Aug 11 2019 tv <tv> 3.33.90-1.mga8
+ Revision: 1428809
- use %%configure2_5x with --build=%%{_build} thus fixing "machine noarch-mageia not recognized"
- new release

* Wed Mar 13 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1375818
- new version 3.32.0

* Fri Mar 08 2019 ovitters <ovitters> 3.31.92-1.mga7
+ Revision: 1372800
- new version 3.31.92

* Thu Mar 07 2019 ovitters <ovitters> 3.31.91-1.mga7
+ Revision: 1372632
- new version 3.31.91

* Fri Feb 01 2019 ovitters <ovitters> 3.30.2-1.mga7
+ Revision: 1362176
- new version 3.30.2

* Fri Jan 11 2019 daviddavid <daviddavid> 3.30.1-3.mga7
+ Revision: 1355042
- rebuild for new Python 3.7
+ tv <tv>
- rebuild with python 3.7

* Fri Oct 19 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1322391
- new version 3.30.1

* Thu Sep 20 2018 umeabot <umeabot> 3.30.0-2.mga7
+ Revision: 1281333
- Mageia 7 Mass Rebuild

* Mon Sep 17 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1259437
- new version 3.30.0

* Mon Sep 03 2018 ovitters <ovitters> 3.29.92-1.mga7
+ Revision: 1256768
- new version 3.29.92

* Tue Jul 31 2018 ovitters <ovitters> 3.29.4-1.mga7
+ Revision: 1246209
- new version 3.29.4

* Tue Jul 10 2018 ovitters <ovitters> 3.29.3-1.mga7
+ Revision: 1242980
- new version 3.29.3

* Fri Jun 29 2018 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1240658
- new version 3.28.2

* Sat Apr 21 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1220733
- new version 3.28.1
+ kekepower <kekepower>
- Use new make macros

* Mon Mar 26 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1212693
- new version 3.28.0

* Mon Feb 19 2018 ovitters <ovitters> 3.27.91-1.mga7
+ Revision: 1203013
- new version 3.27.91

* Wed Feb 14 2018 ovitters <ovitters> 3.27.3-1.mga7
+ Revision: 1201272
- new version 3.27.3

* Fri Sep 15 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1154311
- new version 3.26.0

* Wed Aug 23 2017 ovitters <ovitters> 3.25.4-1.mga7
+ Revision: 1143665
- new version 3.25.4

* Sat Aug 05 2017 pterjan <pterjan> 3.24.0-2.mga7
+ Revision: 1136201
- Fix for new find_lang
- Rebuild for python 3.6

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094020
- new version 3.24.0

* Tue Nov 08 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065803
- new version 3.22.2

* Tue Oct 11 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1060167
- new version 3.22.1

* Sat Sep 24 2016 ovitters <ovitters> 3.21.92-1.mga6
+ Revision: 1055714
- new version 3.21.92

* Sun Sep 18 2016 ovitters <ovitters> 3.21.91-1.mga6
+ Revision: 1053958
- new version 3.21.91

* Sat Jul 30 2016 ovitters <ovitters> 3.20.3-1.mga6
+ Revision: 1043996
- new version 3.20.3

* Mon May 16 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1016093
- new version 3.20.2

* Mon Apr 25 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1006242
- new version 3.20.1

* Wed Mar 23 2016 tv <tv> 3.20.0-1.mga6
+ Revision: 994328
- new release

* Sat Mar 19 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 992995
- new version 3.19.92

* Wed Mar 02 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 983774
- new version 3.19.91

* Wed Feb 17 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 964154
- new version 3.19.90

* Wed Dec 16 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 910975
- new version 3.19.3

* Thu Nov 26 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 906290
- new version 3.19.2

* Mon Nov 09 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 900178
- new version 3.18.2

* Wed Oct 14 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 891210
- new version 3.18.1

* Wed Oct 07 2015 ovitters <ovitters> 3.18.0-2.mga6
+ Revision: 887031
- rebuild for new python3

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883324
- fix debuginfo: -> noarch
- new release
+ ovitters <ovitters>
- new version 3.17.92

* Wed Sep 02 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 872171
- new version 3.17.91

* Wed Aug 19 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865855
- new version 3.17.90

* Wed Jul 22 2015 ovitters <ovitters> 3.17.4-1.mga6
+ Revision: 856142
- new version 3.17.4

* Tue Jun 23 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 840960
- new version 3.17.3

* Mon Jun 22 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 839606
- new version 3.17.2

* Sat Jun 20 2015 ovitters <ovitters> 3.14.4-1.mga6
+ Revision: 836368
- new version 3.14.4

* Thu Dec 04 2014 ovitters <ovitters> 3.14.3-1.mga5
+ Revision: 801547
- new version 3.14.3

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796317
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 739922
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 721230
- new version 3.14.0

* Fri Sep 19 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 697401
- new version 3.13.92
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Wed Sep 03 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 671260
- new version 3.13.91

* Tue Aug 19 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665746
- new version 3.13.90

* Tue Jun 24 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639174
- new version 3.13.3

* Sat May 31 2014 pterjan <pterjan> 3.13.1-3.mga5
+ Revision: 629703
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 3.13.1-2.mga5
+ Revision: 629540
- Rebuild for new Python

* Fri May 30 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 627855
- new version 3.13.1

* Tue May 13 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622459
- new version 3.12.2

* Tue Apr 15 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 615108
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607909
- new version 3.12.0

* Tue Mar 18 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 605080
- new version 3.11.92

* Tue Mar 04 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599487
- new version 3.11.91

* Tue Feb 18 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594523
- new version 3.11.90

* Wed Feb 05 2014 ovitters <ovitters> 3.11.5.1-1.mga5
+ Revision: 583740
- new version 3.11.5.1

* Tue Nov 12 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550669
- new version 3.10.2

* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-2.mga4
+ Revision: 550194
- fix url

* Wed Oct 23 2013 dams <dams> 3.10.1-1.mga4
+ Revision: 546530
- new version 3.10.1

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536655
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485214
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480623
- new version 3.9.92

* Wed Sep 04 2013 dams <dams> 3.9.91-1.mga4
+ Revision: 474992
- new version 3.9.91

* Tue Aug 27 2013 dams <dams> 3.9.90-1.mga4
+ Revision: 472212
- new version 3.9.90

* Wed Jul 31 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 461398
- new version 3.9.5

* Fri Jul 26 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 458172
- new version 3.9.4

* Sun Jun 30 2013 fwang <fwang> 3.8.2-2.mga4
+ Revision: 448529
- orca only support python3 now

* Tue Jun 18 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 444656
- new version 3.8.2

* Wed May 29 2013 dams <dams> 3.8.1-1.mga4
+ Revision: 432892
- fix invalid desktop files
- new version 3.8.1
- adapt %%file for python3

* Sun Jan 13 2013 umeabot <umeabot> 3.6.3-2.mga3
+ Revision: 362196
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 ovitters <ovitters> 3.6.3-1.mga3
+ Revision: 318199
- new version 3.6.3

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317307
- new version 3.6.2

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306853
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297384
- new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295553
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 287808
- new version 3.5.91

* Tue Aug 21 2012 fwang <fwang> 3.5.90-1.mga3
+ Revision: 282783
- br itstool
+ ovitters <ovitters>
- new version 3.5.90

* Mon Aug 06 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279572
- new version 3.5.5

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271427
- new version 3.5.4

* Fri Jul 06 2012 fwang <fwang> 3.5.3-1.mga3
+ Revision: 268384
- new version 3.5.3

* Tue May 15 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235702
- new version 3.4.2

* Tue Apr 17 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231148
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226710
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224541
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.91-2.mga2
+ Revision: 220255
- more br

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 220241
- br pyxdg
- br pycairo
- new version 3.3.91

* Tue Feb 21 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 211326
- new version 3.3.90

* Tue Feb 07 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205753
- new version 3.3.5

* Thu Jan 19 2012 fwang <fwang> 3.3.4-1.mga2
+ Revision: 198039
- new version 3.3.4

* Wed Dec 21 2011 wally <wally> 3.3.3-2.mga2
+ Revision: 185546
- add missing reqs

* Tue Dec 20 2011 fwang <fwang> 3.3.3-1.mga2
+ Revision: 184694
- new version 3.3.3

* Mon Nov 21 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 170644
- new version 3.3.2

* Fri Oct 28 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 159152
- new version 3.3.1

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156064
- new version 3.2.1

* Tue Sep 27 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149106
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145842
- bump req
- new version 3.1.92

* Tue Sep 06 2011 tv <tv> 3.1.91-1.mga2
+ Revision: 139414
- drop patch 0 (merged)
- new release

* Thu Sep 01 2011 fwang <fwang> 3.1.90-2.mga2
+ Revision: 137485
- add more req

* Thu Sep 01 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 137480
- drop pygtk req
- req pydbus
- new version 3.1.90
+ wally <wally>
- new version 3.1.5
- new version 3.1.4

* Tue Jul 05 2011 wally <wally> 3.1.3-1.mga2
+ Revision: 118755
- new version 3.1.3

* Mon Jul 04 2011 wally <wally> 3.1.2-1.mga2
+ Revision: 118532
- new version 3.1.2
- clean .spec a bit

* Sun May 29 2011 blino <blino> 2.32.1-2.mga1
+ Revision: 100637
- do not build as noarch (until makefile installs in noarch python path)

* Fri Feb 25 2011 ennael <ennael> 2.32.1-1.mga1
+ Revision: 59723
- imported package orca

